## pipewire 1.4.9

=== debian/changelog ===
pipewire (1.4.9-1tux1) noble; urgency=medium

  * New upstream release.
  * Changelog: https://gitlab.freedesktop.org/pipewire/pipewire/-/releases/1.4.9

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 10 Oct 2025 15:59:14 +0200

pipewire (1.4.8-1tux1) noble; urgency=medium

  * New upstream release.
    This is a bugfix release that is API and ABI compatible with previous 1.x releases.
    
    Highlights

    - Low latency for Firewire devices using the ALSA drivers.
    - Fix potential wrong pointers in memory mappings.
    - Improve compatibility with Apple Home Pod Minis.
    - JACK now implements the rename_callback.
    - Various improvements and bug fixes.

    PipeWire

    - Make sure we can only queue buffers that were previously dequeued, to avoid some API misuse.
    - Fix potential wrong pointers in memory mappings. (#4884)
    - Improve the node unprepare function. (#4840)

    Modules

    - Add fp_sap25 encryption to the RAOP module for compatibility with Apple Home Pod Minis.
    - Write a correct ALAC end tag in RAOP. (#4853)
    - Avoid VBAN problems with too long session names.
    - Fix a potential crash in the link-factory. (#4691)

    SPA

    - Show correct values in the ALSA api.alsa.period-num property.
    - Add better support for Razer BlackShark v3.
    - Use only 3 periods in ALSA when in Pro-Audio mode. This gives better latency on some drivers. Also set the period count before the period size for improved compatibility. (#4785)
    - Force IRQ mode for firewire devices in pro-audio mode even if there are multiple capture and playback devices.
    - Add a new flag in the sync_timeline metadata to track if a release_point will be signaled or not. (#4885)

    JACK

    - Support the rename_callback. (#4761)

    Tools

    - Fix the -C option in pw-dump.
    - Log more info from sndfile when opening a file failed.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 12 Sep 2025 15:16:27 +0200

pipewire (1.4.7-3tux1) noble; urgency=medium

  * reenable bluetooth aac-codec support

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 18 Aug 2025 15:47:06 +0200

pipewire (1.4.7-2tux1) noble; urgency=medium


  * Install system-wide services in a new package (pipewire-system-services).
    (Closes: #1103237)
  * Create a system user and group "pipewire" using a sysusers file instead
    of doing it manually in maintainer scripts.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 11 Aug 2025 15:54:31 +0200

pipewire (1.4.7-1tux1) noble; urgency=medium

  * New upstream release.
    CHanges: https://gitlab.freedesktop.org/pipewire/pipewire/-/releases/1.4.7

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 24 Jul 2025 21:26:44 +0200

pipewire (1.4.6-1tux1) noble; urgency=medium

  * New upstream release.
    Cahnges: https://gitlab.freedesktop.org/pipewire/pipewire/-/releases/1.4.6

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 02 Jul 2025 10:19:02 +0200

pipewire (1.4.3-1tux1) noble; urgency=medium

  * New upstream release.
    Changes: https://gitlab.freedesktop.org/pipewire/pipewire/-/releases/1.4.3

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 28 May 2025 14:23:41 +0200

pipewire (1.4.2-1tux1) noble; urgency=medium

  * New upstream release.
    Changes: https://gitlab.freedesktop.org/pipewire/pipewire/-/releases/1.4.2

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 15 Apr 2025 11:25:05 +0200

pipewire (1.4.1-1tux1) noble; urgency=medium

  * New upstream release.
    Changes: https://gitlab.freedesktop.org/pipewire/pipewire/-/releases/1.4.1

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 17 Mar 2025 07:58:34 +0100

pipewire (1.4.0-1+24.04-1tux1.1) noble; urgency=medium

  * New upstream release.
    Changes: https://gitlab.freedesktop.org/pipewire/pipewire/-/releases/1.4.0

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 07 Mar 2025 10:47:54 +0100

pipewire (1.2.7-1+24.04-1tux1) noble; urgency=medium

  * New upstream release.
    Changelog: https://gitlab.freedesktop.org/pipewire/pipewire/-/releases/1.2.7

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Wed, 27 Nov 2024 11:42:53 +0100

pipewire (1.2.6-1+24.04-1tux1) noble; urgency=medium

  * New upstream release.
    Changelog: https://gitlab.freedesktop.org/pipewire/pipewire/-/releases/1.2.6

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Mon, 28 Oct 2024 11:09:16 +0100

pipewire (1.2.5-1+24.04-1tux1) noble; urgency=medium

  * New upstream release.
    https://gitlab.freedesktop.org/pipewire/pipewire/-/releases/1.2.5

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Mon, 30 Sep 2024 20:31:48 +0200

pipewire (1.2.3-1+24.04-1tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Wed, 04 Sep 2024 11:20:01 +0200

pipewire (1.2.2-+24.04-1tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Thu, 01 Aug 2024 11:34:50 +0200

pipewire (1.2.0+24.04-1tux1) noble; urgency=medium

  * Testbuild for noble

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Tue, 09 Jul 2024 12:55:40 +0200

pipewire (1.2.0-2tux1) jammy; urgency=medium

  * import MR https://gitlab.freedesktop.org/pipewire/pipewire/-/merge_requests/2065

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Thu, 04 Jul 2024 12:36:19 +0200

pipewire (1.2.0-1tux1) jammy; urgency=medium

  * New upstream release.
    https://gitlab.freedesktop.org/pipewire/pipewire/-/releases/1.2.0

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Fri, 28 Jun 2024 09:39:02 +0200

pipewire (1.1.83-1tux1) jammy; urgency=medium

  * New upstream release of upcoming version 1.2.
  * Last RC (RC3) before release

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Wed, 19 Jun 2024 15:01:49 +0200

pipewire (1.0.7-1tux1) jammy; urgency=medium

  * New upstream release.
    https://gitlab.freedesktop.org/pipewire/pipewire/-/releases/1.0.7

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Mon, 27 May 2024 08:00:38 +0200



=== debian/control ===
Source: pipewire
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Jeremy Bicha <jbicha@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               doxygen <!nodoc>,
               dpkg-dev (>= 1.22.5),
               graphviz <!nodoc>,
               libapparmor-dev [linux-any],
               libasound2-dev (>= 1.2.6),
               libavahi-client-dev,
               libbluetooth-dev [linux-any],
               libcamera-dev (>= 0.5.2) [!m68k !hurd-any],
               libcanberra-dev,
               libdbus-1-dev,
               libebur128-dev,
               libffado-dev,
               libfftw3-dev,
               libfdk-aac-dev,
               libfreeaptx-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libjack-jackd2-dev,
               liblc3-dev,
               libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               liblilv-dev,
               libmysofa-dev,
               libncurses-dev,
               libopus-dev,
               libpulse-dev,
               libreadline-dev,
               libroc-dev (>= 0.4.0),
               libsbc-dev,
               libsdl2-dev <!noinsttest>,
               libsnapd-glib-dev [amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x],
               libsndfile1-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libusb-1.0-0-dev,
               libv4l-dev,
               libwebrtc-audio-processing-dev,
               libxfixes-dev (>= 1:6.0.0),
               meson (>= 0.61.1),
               modemmanager-dev,
               pkgconf,
               python3-docutils,
               systemd-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
Homepage: https://pipewire.org/
Rules-Requires-Root: no

Package: libpipewire-0.3-0t64
Provides: ${t64:Provides}
Replaces: libpipewire-0.3-0
Breaks: libpipewire-0.3-0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: libspa-0.2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libpipewire-0.3-common
Suggests: pipewire (= ${binary:Version})
Description: libraries for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.

Package: libpipewire-0.3-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for the PipeWire multimedia server - common files
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: libpipewire-0.3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpipewire-0.3-0t64 (= ${binary:Version}),
         libspa-0.2-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files.

Package: libpipewire-0.3-modules
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains modules used by the PipeWire server and by clients,
 and should not normally be depended on directly. PipeWire clients should
 depend on the pipewire package instead.

Package: libpipewire-0.3-modules-x11
Architecture: any
Multi-Arch: same
Depends: libcanberra-pulse,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libpipewire-0.3-modules (<< 0.3.63-3~)
Replaces: libpipewire-0.3-modules (<< 0.3.63-3~)
Description: libraries for the PipeWire multimedia server - X11 modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains X11 modules.

Package: libspa-0.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server Simple Plugin API - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files for the Simple Plugin API.

Package: libspa-0.2-modules
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains core support modules used in the Simple Plugin API,
 together with test and utility modules that do not introduce additional
 dependencies. It should not normally be depended on directly: PipeWire
 clients should depend on the pipewire package instead.

Package: pipewire-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libpipewire-0.2-doc (<< 0.3.1)
Replaces: libpipewire-0.2-doc (<< 0.3.1)
Description: libraries for the PipeWire multimedia server - documentation
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the API reference.

Package: pipewire
Section: video
Architecture: any
Multi-Arch: same
Depends: adduser,
         libpipewire-0.3-modules (= ${binary:Version}),
         pipewire-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: audio and video processing engine multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This metapackage makes PipeWire available for programs of the same
 architecture, and provides the systemd user service necessary to run
 pipewire on-demand.

Package: pipewire-system-services
Architecture: all
Depends: pipewire,
         pipewire-pulse,
         wireplumber-system-services,
         ${misc:Depends},
         ${shlibs:Depends}
Description: audio and video processing engine multimedia server (system services)
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the systemd system services. NOTE: This is NOT the
 recommended way to use PipeWire, but these services are provided for specific
 use cases like embedded and accessibility.

Package: pipewire-bin
Section: video
Architecture: any
Multi-Arch: foreign
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dbus-user-session,
            rtkit,
            wireplumber
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: PipeWire multimedia server - programs
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the server and command-line utilities, and should
 not normally be depended on directly. PipeWire clients should depend on
 the pipewire package instead.

Package: pipewire-pulse
Section: sound
Architecture: any
Multi-Arch: foreign
Replaces: pipewire-bin (<< 0.3.27-2)
Breaks: pipewire-bin (<< 0.3.27-2)
Conflicts: pulseaudio-module-gsettings
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: wireplumber
Suggests: libspa-0.2-bluetooth,
          pulseaudio-utils
Description: PipeWire PulseAudio daemon
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the PulseAudio replacement daemon.

Package: pipewire-alsa
Section: sound
Architecture: any
Multi-Arch: same
Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
Conflicts: pulseaudio
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PipeWire ALSA plugin, for ALSA applications to output via PipeWire
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
DOCS=disabled
MAN=disabled
else
DOCS=enabled
MAN=enabled
endif

built_binaries := $(shell dh_listpackages)

ifneq ($(filter %-tests,$(built_binaries)),)
INSTTEST=enabled
SDL2=enabled
else
INSTTEST=disabled
SDL2=disabled
endif

ifneq (,$(filter s390x hppa m68k powerpc ppc64 sparc64,$(DEB_HOST_ARCH)))
BLUEZ5_CODEC_LDAC=disabled
else
BLUEZ5_CODEC_LDAC=enabled
endif

ifneq (,$(filter m68k hurd-amd64 hurd-i386,$(DEB_HOST_ARCH)))
LIBCAMERA=disabled
else
LIBCAMERA=enabled
endif

# enable snap support in Ubuntu, Debian's kernel doesn't enable the option
# for fine grained unix mediation at the moment
SNAP=disabled
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
ifneq (,$(filter amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x,$(DEB_HOST_ARCH)))
SNAP=enabled
endif
endif

ifneq (,$(filter hurd-amd64 hurd-i386,$(DEB_HOST_ARCH)))
UDEVRULESDIR=
else
export UDEVRULESDIR=/usr/lib/udev/rules.d
# For pre-Trixie releases udev rules should go in:
# export UDEVRULESDIR=/lib/udev/rules.d
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Daudiotestsrc=enabled \
		-Dauto_features=enabled \
		-Davahi=enabled \
		-Dbluez5-backend-native-mm=enabled \
		-Dbluez5-codec-aac=enabled \
		-Dbluez5-codec-aptx=enabled \
		-Dbluez5-codec-lc3=enabled \
		-Dbluez5-codec-lc3plus=disabled \
		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
		-Dbluez5-codec-opus=enabled \
		-Dlibcamera=$(LIBCAMERA) \
		-Dlibffado=enabled \
		-Dlibmysofa=enabled \
		-Ddocs=$(DOCS) \
		-Dffmpeg=disabled \
		-Dinstalled_tests=$(INSTTEST) \
		-Dlv2=enabled \
		-Dman=$(MAN) \
		-Droc=enabled \
		-Dsdl2=$(SDL2) \
		-Dsession-managers= \
		-Dsnap=$(SNAP) \
		-Dsystemd-system-service=enabled \
		-Dsystemd-user-service=enabled \
		-Dtest=enabled \
		-Dudevrulesdir=$(UDEVRULESDIR) \
		-Dvideotestsrc=enabled \
		-Dvulkan=disabled \
		$(NULL)
	install -d debian/ld.so.conf.d
	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/jack/" > "debian/ld.so.conf.d/pipewire-jack-$(DEB_HOST_MULTIARCH).conf"

test_timeout_multiplier = 1

ifneq ($(filter arm hppa ia64 m68k riscv64 sh4 sparc%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 5
endif

ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 10
endif

override_dh_auto_test:
	dh_auto_test \
		-- \
		--timeout-multiplier $(test_timeout_multiplier) \
		$(NULL)

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/spa-0.2 \
		-- -c4

override_dh_shlibdeps-arch:
	dh_shlibdeps \
		-ppipewire-jack \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		-- \
		-Ldebian/pipewire-jack.shlibs.local \
		$(NULL)
	dh_shlibdeps \
		--remaining-packages \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		$(NULL)

override_dh_installsystemd:
	# The recommanded way to install pipewire is using user services, but
	# we install system services anyway for specific use cases (like embedded
	# and accessibility) without enabling/starting them to avoid clashes.
	dh_installsystemd -ppipewire-system-services --no-enable --no-start

# Can be dropped in compat >= 14
execute_after_dh_installinit:
	dh_installsysusers

## pipewire 1.4.10

=== debian/changelog ===
pipewire (1.4.10-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Jan 2026 10:34:51 -0800

pipewire (1.4.10-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file: add 5 new symbols
  * Update debian/watch to only track the series 1.4.*

 -- Dylan Aïssi <daissi@debian.org>  Mon, 19 Jan 2026 10:08:49 +0100

pipewire (1.4.9-1) unstable; urgency=medium

  * New upstream release

 -- Dylan Aïssi <daissi@debian.org>  Thu, 09 Oct 2025 14:16:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: pipewire
 Section: libs
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Jeremy Bicha <jbicha@debian.org>,
-           Dylan Aïssi <daissi@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dpkg-dev (>= 1.22.5),
                doxygen <!nodoc>,
-               dpkg-dev (>= 1.22.5),
                graphviz <!nodoc>,
                libapparmor-dev [linux-any],
                libasound2-dev (>= 1.2.6),
                libavahi-client-dev,
                libbluetooth-dev [linux-any],
-               libcamera-dev (>= 0.5.2) [!m68k !hurd-any],
+               libcamera-dev (>= 0.2.0) [!m68k !hurd-any],
                libcanberra-dev,
                libdbus-1-dev,
                libebur128-dev,
                libffado-dev,
                libfftw3-dev,
-               libfdk-aac-dev,
                libfreeaptx-dev,
                libglib2.0-dev,
                libgstreamer-plugins-base1.0-dev,
@@ -50,6 +49,7 @@
                pkgconf,
                python3-docutils,
                systemd-dev
+Build-Conflicts: libfdk-aac-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
 Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
@@ -64,8 +64,8 @@
 Multi-Arch: same
 Depends: libspa-0.2-modules (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libpipewire-0.3-common
+         ${shlibs:Depends},
+      libpipewire-0.3-common
 Suggests: pipewire (= ${binary:Version})
 Description: libraries for the PipeWire multimedia server
  PipeWire is a server and user space API to deal with multimedia
@@ -79,8 +79,7 @@
 Package: libpipewire-0.3-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: libraries for the PipeWire multimedia server - common files
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -115,8 +114,7 @@
 Package: libpipewire-0.3-modules
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: libraries for the PipeWire multimedia server - modules
@@ -135,9 +133,7 @@
 Package: libpipewire-0.3-modules-x11
 Architecture: any
 Multi-Arch: same
-Depends: libcanberra-pulse,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libcanberra-pulse, ${misc:Depends}, ${shlibs:Depends}
 Breaks: libpipewire-0.3-modules (<< 0.3.63-3~)
 Replaces: libpipewire-0.3-modules (<< 0.3.63-3~)
 Description: libraries for the PipeWire multimedia server - X11 modules
@@ -171,8 +167,7 @@
 Package: libspa-0.2-modules
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
@@ -257,9 +252,7 @@
 Depends: libpipewire-0.3-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: dbus-user-session,
-            rtkit,
-            wireplumber
+Recommends: dbus-user-session, rtkit, wireplumber
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
@@ -282,12 +275,9 @@
 Replaces: pipewire-bin (<< 0.3.27-2)
 Breaks: pipewire-bin (<< 0.3.27-2)
 Conflicts: pulseaudio-module-gsettings
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Recommends: wireplumber
-Suggests: libspa-0.2-bluetooth,
-          pulseaudio-utils
+Suggests: libspa-0.2-bluetooth, pulseaudio-utils
 Description: PipeWire PulseAudio daemon
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -306,10 +296,9 @@
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Conflicts: pulseaudio
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: PipeWire ALSA plugin, for ALSA applications to output via PipeWire
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
  .
+  - Making available sources of audio and video (such as from a capture devices

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 		-Dauto_features=enabled \
 		-Davahi=enabled \
 		-Dbluez5-backend-native-mm=enabled \
-		-Dbluez5-codec-aac=enabled \
+		-Dbluez5-codec-aac=disabled \
 		-Dbluez5-codec-aptx=enabled \
 		-Dbluez5-codec-lc3=enabled \
 		-Dbluez5-codec-lc3plus=disabled \
@@ -131,3 +131,8 @@
 # Can be dropped in compat >= 14
 execute_after_dh_installinit:
 	dh_installsysusers
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## pipewire 1.5.81

=== debian/changelog ===
pipewire (1.5.81-1) experimental; urgency=medium

  * New upstream release (1.6 release candidate 1)
  * Disable bluez5-codec-ldac-dec, not yet available in Debian
  * Enable bluez5-plc-spandsp, add libspandsp-dev in Build-Deps
  * Enable onnxruntime, add libonnxruntime-dev in Build-Deps
  * Install new binaries (pw-midi2play, pw-midi2record and pw-sysex)
      in pipewire-bin
  * Update symbols file
  * Convert watch to version 5 and use Gitlab template
  * Skip the new test spa-benchmark-aec.test,
      it requires sample files.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Oct 2025 12:34:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: pipewire
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Dylan Aïssi <daissi@debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Uploaders: Jeremy Bicha <jbicha@debian.org>,
+           Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               doxygen <!nodoc>,
                dpkg-dev (>= 1.22.5),
-               doxygen <!nodoc>,
                graphviz <!nodoc>,
                libapparmor-dev [linux-any],
                libasound2-dev (>= 1.2.6),
@@ -29,6 +29,7 @@
                liblilv-dev,
                libmysofa-dev,
                libncurses-dev,
+               libonnxruntime-dev,
                libopus-dev,
                libpulse-dev,
                libreadline-dev,
@@ -37,6 +38,7 @@
                libsdl2-dev <!noinsttest>,
                libsnapd-glib-dev [amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x],
                libsndfile1-dev,
+               libspandsp-dev,
                libssl-dev,
                libsystemd-dev [linux-any],
                libudev-dev [linux-any],
@@ -52,7 +54,7 @@
 Build-Conflicts: libfdk-aac-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
-Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
+Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git -b debian/experimental
 Homepage: https://pipewire.org/
 Rules-Requires-Root: no
 
@@ -64,8 +66,8 @@
 Multi-Arch: same
 Depends: libspa-0.2-modules (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-      libpipewire-0.3-common
+         ${shlibs:Depends}
+Recommends: libpipewire-0.3-common
 Suggests: pipewire (= ${binary:Version})
 Description: libraries for the PipeWire multimedia server
  PipeWire is a server and user space API to deal with multimedia
@@ -79,7 +81,8 @@
 Package: libpipewire-0.3-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: libraries for the PipeWire multimedia server - common files
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -114,7 +117,8 @@
 Package: libpipewire-0.3-modules
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: libraries for the PipeWire multimedia server - modules
@@ -133,7 +137,9 @@
 Package: libpipewire-0.3-modules-x11
 Architecture: any
 Multi-Arch: same
-Depends: libcanberra-pulse, ${misc:Depends}, ${shlibs:Depends}
+Depends: libcanberra-pulse,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libpipewire-0.3-modules (<< 0.3.63-3~)
 Replaces: libpipewire-0.3-modules (<< 0.3.63-3~)
 Description: libraries for the PipeWire multimedia server - X11 modules
@@ -167,7 +173,8 @@
 Package: libspa-0.2-modules
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
@@ -252,7 +259,9 @@
 Depends: libpipewire-0.3-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: dbus-user-session, rtkit, wireplumber
+Recommends: dbus-user-session,
+            rtkit,
+            wireplumber
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
@@ -275,9 +284,12 @@
 Replaces: pipewire-bin (<< 0.3.27-2)
 Breaks: pipewire-bin (<< 0.3.27-2)
 Conflicts: pulseaudio-module-gsettings
-Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: wireplumber
-Suggests: libspa-0.2-bluetooth, pulseaudio-utils
+Suggests: libspa-0.2-bluetooth,
+          pulseaudio-utils
 Description: PipeWire PulseAudio daemon
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -296,9 +308,8 @@
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Conflicts: pulseaudio
-Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: PipeWire ALSA plugin, for ALSA applications to output via PipeWire
  PipeWire is a server and user space API to deal with multimedia
- pipelines. This includes:
- .
-  - Making available sources of audio and video (such as from a capture devices

=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,9 @@
 		-Dbluez5-codec-lc3=enabled \
 		-Dbluez5-codec-lc3plus=disabled \
 		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
+		-Dbluez5-codec-ldac-dec=disabled \
 		-Dbluez5-codec-opus=enabled \
+		-Dbluez5-plc-spandsp=enabled \
 		-Dlibcamera=$(LIBCAMERA) \
 		-Dlibffado=enabled \
 		-Dlibmysofa=enabled \
@@ -73,6 +75,7 @@
 		-Dinstalled_tests=$(INSTTEST) \
 		-Dlv2=enabled \
 		-Dman=$(MAN) \
+		-Donnxruntime=enabled \
 		-Droc=enabled \
 		-Dsdl2=$(SDL2) \
 		-Dsession-managers= \
@@ -131,8 +134,3 @@
 # Can be dropped in compat >= 14
 execute_after_dh_installinit:
 	dh_installsysusers
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym

## pipewire 1.5.83

=== meson_options.txt ===
option('docdir',
       type : 'string',
       description : 'Directory for installing documentation to (defaults to pipewire_datadir/doc/meson.project_name() )')
option('docs',
       description: 'Documentation',
       type: 'feature',
       value: 'disabled')
option('man',
       description: 'Manual pages',
       type: 'feature',
       value: 'disabled')
option('examples',
       description: 'Build examples',
       type: 'feature',
       value: 'enabled')
option('tests',
       description: 'Build tests',
       type: 'feature',
       value: 'enabled',
       yield : true)
option('installed_tests',
       description: 'Install manual and automated test executables',
       type: 'feature',
       value: 'disabled')
option('gstreamer',
       description: 'Build GStreamer plugins',
       type: 'feature',
       value: 'auto')
option('gstreamer-device-provider',
       description: 'Build GStreamer device provider plugin',
       type: 'feature',
       value: 'auto')
option('libsystemd',
       description: 'Enable code that depends on libsystemd',
       type: 'feature',
       value: 'auto')
option('logind',
       description: 'Enable logind integration',
       type: 'feature',
       value: 'auto')
option('logind-provider',
       description: 'Provider for logind integration',
       type: 'combo',
       choices: ['libelogind', 'libsystemd'],
       value: 'libsystemd')
option('systemd-system-service',
       description: 'Install systemd system service file',
       type: 'feature',
       value: 'disabled')
option('systemd-user-service',
       description: 'Install systemd user service file',
       type: 'feature',
       value: 'auto')
option('selinux',
       description: 'Enable SELinux integration',
       type: 'feature',
       value: 'auto')
option('pipewire-alsa',
       description: 'Enable pipewire-alsa integration',
       type: 'feature',
       value: 'auto')
option('pipewire-jack',
       description: 'Enable pipewire-jack integration',
       type: 'feature',
       value: 'enabled')
option('pipewire-v4l2',
       description: 'Enable pipewire-v4l2 integration',
       type: 'feature',
       value: 'enabled')
option('jack-devel',
       description: 'Install jack development files',
       type: 'boolean',
       value: false)
option('libjack-path',
       description: 'Where to install the libjack.so library',
       type: 'string')
option('libv4l2-path',
       description: 'Where to install the libpw-v4l2.so library',
       type: 'string')
option('spa-plugins',
       description: 'Enable spa plugins integration',
       type: 'feature',
       value: 'enabled')
option('alsa',
       description: 'Enable alsa spa plugin integration',
       type: 'feature',
       value: 'auto')
option('audiomixer',
       description: 'Enable audiomixer spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('audioconvert',
       description: 'Enable audioconvert spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('resampler-precomp-tuples',
	description: 'Array of "inrate,outrate[,quality]" tuples to precompute resampler coefficients for',
	type: 'array',
	value: [ '32000,44100', '32000,48000', '48000,44100', '44100,48000' ])
option('bluez5',
       description: 'Enable bluez5 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('bluez5-backend-hsp-native',
       description: 'Enable HSP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-hfp-native',
       description: 'Enable HFP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-native-mm',
       description: 'Enable ModemManager in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'disabled')
option('bluez5-backend-ofono',
       description: 'Enable oFono HFP backend in bluez5 spa plugin (no dependency on oFono)',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-hsphfpd',
       description: 'Enable hsphfpd backend in bluez5 spa plugin (no dependency on hsphfpd)',
       type: 'feature',
       value: 'enabled')
option('bluez5-codec-aptx',
        description: 'Enable AptX Qualcomm open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-ldac',
        description: 'Enable LDAC Sony open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-ldac-dec',
        description: 'Enable LDAC Sony open source codec decoding',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-aac',
        description: 'Enable Fraunhofer FDK AAC open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-lc3plus',
        description: 'Enable LC3plus open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-opus',
        description: 'Enable Opus open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-lc3',
        description: 'Enable LC3 open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-g722',
        description: 'Enable G722 open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-plc-spandsp',
        description: 'Enable SpanDSP for packet loss concealment',
        type: 'feature',
        value: 'auto')
option('control',
       description: 'Enable control spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('audiotestsrc',
       description: 'Enable audiotestsrc spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('ffmpeg',
       description: 'Enable ffmpeg spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('jack',
       description: 'Enable jack spa plugin integration',
       type: 'feature',
       value: 'auto')
option('support',
       description: 'Enable support spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('evl',
       description: 'Enable EVL support spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('test',
       description: 'Enable test spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('v4l2',
       description: 'Enable v4l2 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('dbus',
       description: 'Enable code that depends on dbus',
       type: 'feature',
       value: 'enabled')
option('libcamera',
       description: 'Enable libcamera spa plugin integration',
       type: 'feature',
       value: 'auto')
option('videoconvert',
       description: 'Enable videoconvert spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('videotestsrc',
       description: 'Enable videotestsrc spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('volume',
       description: 'Build the legacy volume spa plugin',
       type: 'feature',
       value: 'disabled')
option('vulkan',
       description: 'Enable vulkan spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('pw-cat',
       description: 'Build pw-cat/pw-play/pw-record',
       type: 'feature',
       value: 'auto')
option('pw-cat-ffmpeg',
       description: 'Enable FFmpeg integration in pw-cat/pw-play/pw-record',
       type: 'feature',
       value: 'disabled')
option('udev',
       description: 'Enable Udev integration',
       type: 'feature',
       value: 'auto')
option('udevrulesdir',
       type : 'string',
       description : 'Directory for udev rules (defaults to /lib/udev/rules.d)')
option('systemd-system-unit-dir',
       type : 'string',
       description : 'Directory for system systemd units (defaults to /usr/lib/systemd/system)')
option('systemd-user-unit-dir',
       type : 'string',
       description : 'Directory for user systemd units (defaults to /usr/lib/systemd/user)')
option('sdl2',
       description: 'Enable code that depends on SDL 2',
       type: 'feature',
       value: 'auto')
option('sndfile',
       description: 'Enable code that depends on libsndfile',
       type: 'feature',
       value: 'auto')
option('libmysofa',
       description: 'Enable code that depends on libmysofa',
       type: 'feature',
       value: 'auto')
option('libpulse',
       description: 'Enable code that depends on libpulse',
       type: 'feature',
       value: 'auto')
option('roc',
       description: 'Enable code that depends on roc toolkit',
       type: 'feature',
       value: 'auto')
option('avahi',
       description: 'Enable code that depends on avahi',
       type: 'feature',
       value: 'auto')
option('echo-cancel-webrtc',
       description : 'Enable WebRTC-based echo canceller',
       type : 'feature',
       value : 'auto')
option('libusb',
       description: 'Enable code that depends on libusb',
       type: 'feature',
       value: 'auto')
option('session-managers',
       description : 'Session managers to build (can be [] for none or an absolute path)',
       type : 'array',
       value : ['wireplumber'])
option('raop',
       description: 'Enable module for Remote Audio Output Protocol',
       type: 'feature',
       value: 'auto')
option('lv2',
       description: 'Enable loading of LV2 plugins',
       type: 'feature',
       value: 'auto')
option('x11',
       description: 'Enable code that depends on X11',
       type: 'feature',
       value: 'auto')
option('x11-xfixes',
       description: 'Enable code that depends on XFixes',
       type: 'feature',
       value: 'auto')
option('libcanberra',
       description: 'Enable code that depends on libcanberra',
       type: 'feature',
       value: 'auto')
option('legacy-rtkit',
       description: 'Build legacy rtkit module',
       type: 'boolean',
       value: true)
option('avb',
       description: 'Enable AVB code',
       type: 'feature',
       value: 'auto')
option('flatpak',
       description: 'Enable Flatpak support',
       type: 'feature',
       value: 'enabled')
option('readline',
       description: 'Enable code that depends on libreadline',
       type: 'feature',
       value: 'auto')
option('gsettings',
       description: 'Enable code that depends on gsettings',
       type: 'feature',
       value: 'auto')
option('compress-offload',
       description: 'Enable ALSA Compress-Offload support',
       type: 'feature',
       value: 'auto')
option('pam-defaults-install',
       description: 'Install limits.d file modifying defaults for all PAM users. Only for old kernels/systemd!',
       type: 'boolean',
       value: false)
option('pam-memlock-default',
       description : 'The default memlock value for any PAM user in kilobytes. Multiples of 64 recommended.',
       type : 'integer',
       min: 640,
       value: 8192)
option('rlimits-install',
       description: 'Install PAM limits.d file. Voids all following rlimits-* options, if false',
       type: 'boolean',
       value: true)
option('rlimits-match',
       description : 'PAM match rule for the generated limits.d file. @<name> denotes matching a group.',
       type : 'string',
       value: '@pipewire')
option('rtprio-server',
       description : 'PipeWire server realtime priority',
       type : 'integer',
       min: 11,
       max: 99,
       value: 88)
option('rtprio-client',
       description : 'PipeWire clients realtime priority',
       type : 'integer',
       min: 11,
       max: 99,
       value: 83)
option('rlimits-rtprio',
       description : 'RR and FIFO scheduler priority permitted for realtime threads of the matching user(s)',
       type : 'integer',
       min: 11,
       max: 99,
       value: 95)
option('rlimits-memlock',

=== debian/changelog ===
pipewire (1.5.83-1) experimental; urgency=medium

  * New upstream release (1.6 release candidate 3)
  * Disable onnxruntime on unsupported architectures
  * Remove redundant "Rules-Requires-Root: no"

 -- Dylan Aïssi <daissi@debian.org>  Thu, 06 Nov 2025 17:29:27 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                liblilv-dev,
                libmysofa-dev,
                libncurses-dev,
-               libonnxruntime-dev,
+               libonnxruntime-dev [!alpha !hurd-any !m68k !powerpc !ppc64 !sh4 !x32],
                libopus-dev,
                libpulse-dev,
                libreadline-dev,
@@ -56,7 +56,6 @@
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
 Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git -b debian/experimental
 Homepage: https://pipewire.org/
-Rules-Requires-Root: no
 
 Package: libpipewire-0.3-0t64
 Provides: ${t64:Provides}
@@ -312,4 +311,3 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Description: PipeWire ALSA plugin, for ALSA applications to output via PipeWire
- PipeWire is a server and user space API to deal with multimedia

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,12 @@
 LIBCAMERA=disabled
 else
 LIBCAMERA=enabled
+endif
+
+ifneq (,$(filter alpha hurd-amd64 hurd-i386 m68k powerpc ppc64 sh4 x32,$(DEB_HOST_ARCH)))
+ONNXRUNTIME=disabled
+else
+ONNXRUNTIME=enabled
 endif
 
 # enable snap support in Ubuntu, Debian's kernel doesn't enable the option
@@ -75,7 +81,7 @@
 		-Dinstalled_tests=$(INSTTEST) \
 		-Dlv2=enabled \
 		-Dman=$(MAN) \
-		-Donnxruntime=enabled \
+		-Donnxruntime=$(ONNXRUNTIME) \
 		-Droc=enabled \
 		-Dsdl2=$(SDL2) \
 		-Dsession-managers= \

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.freedesktop.org/pipewire/pipewire
